[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TDragManager.CaptureChanged

Aborts the dragging operation when the capture control has changed.

## Declaration

Source position: controls.pp line 636

`protected procedure TDragManager.CaptureChanged(`
`OldCaptureControl: TControl`
`); virtual; abstract;`

## Arguments

`OldCaptureControl` |  | Control which has the mouse capture change message is handled for the control.

## Description

CaptureChanged is an abstract virtual method in TDragManager, and must be implemented in a descendent class. In the default drag manager implementation, the DragMode and DragKind properties for child controls are checked to determine if one of them has the mouse capture. If none of them are active, the Parent control calls DragStop.

CaptureChanged is called from the CaptureChanged method in TControl when the LM_CaptureChanged message is received by the control and the drag manager is active.

## See also

TDragManager.IsDragging |  | Check if dragging is in progress.
TControl.CaptureChanged |  | Handler for mouse capture moved to a different control.
TControl.LMCaptureChanged |  | Handles a LM_CaptureChanged message for the control.